
/* traceview.h */

#ifndef TRACEVIEW_H
#define TRACEVIEW_H

#include <QString>

#include <QTreeWidget>
#include <QHeaderView>
#include <QPushButton>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QMenu>

#include <KAction>

#include <interfaces/iuicontroller.h>

namespace BookmarkModule
{

/* ----------------------------------------------------------------------- */

class TraceWidget : public QWidget
{
   Q_OBJECT
   public:
      TraceWidget (QWidget* parent);
      virtual ~TraceWidget ();
      virtual void contextMenuEvent (QContextMenuEvent* e);

   private Q_SLOTS:
       void treeDoubleClick (QTreeWidgetItem* item, int column);

       void actionClick ();

       void firstButtonClick ();
       void secondButtonClick ();

   public:
      QTreeWidgetItem * show (QTreeWidgetItem * branch, QString text);

   private:
      QTreeWidget * m_tree;
      KAction * m_action;
      QPushButton * m_button1;
      QPushButton * m_button2;
};

/* ----------------------------------------------------------------------- */

KDevelop::IToolViewFactory * new_trace_factory ();

}

#endif // TRACEVIEW_H

